| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::CompositorInstance::TargetOperation Class Reference

Operation setup for a RenderTarget (collected). More...

`#include <OgreCompositorInstance.h>`

## Public Types
typedef std::bitset< RENDER_QUEUE_COUNT > | RenderQueueBitSet
| A set of render queues to either include or exclude certain render queues. More...

## Public Member Functions
| TargetOperation ()
| TargetOperation (RenderTarget *inTarget)

## Public Attributes
int | currentQueueGroupID
| Current group ID. More...
bool | findVisibleObjects
| Whether this op needs to find visible scene objects or not. More...
bool | hasBeenRendered
| "Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation. More...
float | lodBias
| LOD offset. More...
String | materialScheme
| Which material scheme this op will use. More...
bool | onlyInitial
RenderQueueBitSet | renderQueues
| Which renderqueues to render from scene. More...
RenderSystemOpPairs | renderSystemOperations
| RenderSystem operations to queue into the scene manager, by uint8. More...
bool | shadowsEnabled
| Whether shadows will be enabled. More...
RenderTarget * | target
| Target. More...
uint32 | visibilityMask
| Scene visibility mask If this is 0, the scene is not rendered at all. More...

## Detailed Description

Operation setup for a RenderTarget (collected).

## Member Typedef Documentation

## ◆ RenderQueueBitSet

typedef std::bitset<RENDER_QUEUE_COUNT> Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet

A set of render queues to either include or exclude certain render queues.

## Constructor & Destructor Documentation

## ◆ TargetOperation() [1/2]

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( |  | ) |
| inline

## ◆ TargetOperation() [2/2]

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( | RenderTarget * | inTarget | ) |
| inline

## Member Data Documentation

## ◆ target

RenderTarget* Ogre::CompositorInstance::TargetOperation::target

Target.

## ◆ currentQueueGroupID

int Ogre::CompositorInstance::TargetOperation::currentQueueGroupID

Current group ID.

## ◆ renderSystemOperations

RenderSystemOpPairs Ogre::CompositorInstance::TargetOperation::renderSystemOperations

RenderSystem operations to queue into the scene manager, by uint8.

## ◆ visibilityMask

uint32 Ogre::CompositorInstance::TargetOperation::visibilityMask

Scene visibility mask If this is 0, the scene is not rendered at all.

## ◆ lodBias

float Ogre::CompositorInstance::TargetOperation::lodBias

LOD offset.

This is multiplied with the camera LOD offset 1.0 is default, lower means lower detail, higher means higher detail

## ◆ renderQueues

RenderQueueBitSet Ogre::CompositorInstance::TargetOperation::renderQueues

Which renderqueues to render from scene.

## ◆ onlyInitial

bool Ogre::CompositorInstance::TargetOperation::onlyInitial

See also
  CompositionTargetPass::mOnlyInitial

## ◆ hasBeenRendered

bool Ogre::CompositorInstance::TargetOperation::hasBeenRendered

"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.

## ◆ findVisibleObjects

bool Ogre::CompositorInstance::TargetOperation::findVisibleObjects

Whether this op needs to find visible scene objects or not.

## ◆ materialScheme

String Ogre::CompositorInstance::TargetOperation::materialScheme

Which material scheme this op will use.

## ◆ shadowsEnabled

bool Ogre::CompositorInstance::TargetOperation::shadowsEnabled

Whether shadows will be enabled.

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h